# Unlock authenticator

Unlocks a user's authenticator by clearing attempts data. Use optional `unlock_type` to limit the unlock operation to a specific lock type, such as `manual` (via Admin Portal or `/lock`) or `automatic` (via lockout policy). Note that TOTP authenticators cannot be unlocked by an authenticator id, use unlock by type instead. <br><br>**Required permissions**: `apps:edit`, `[appId]:edit`, `authenticators:edit`.

Endpoint: POST /v1/users/{user_id}/authenticators/{authenticator_id}/unlock
Security: ClientAccessToken

## Path parameters:

  - `user_id` (string, required)
    ID of the user

  - `authenticator_id` (string, required)
    ID of the authenticator to unlock.

## Request fields (application/json):

  - `unlock_type` (string)
    Defines the type of lock to clear: `manual` (authenticator locked manually in the Admin Portal or via /lock endpoint) or `automatic` (authenticator locked automatically after failed login attempts as defined by the lockout policy).
    Enum: "manual", "automatic", "any"

